""" Tests setup
"""
from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
from Products.Five import zcml
from Products.Five import fiveconfigure
import eea.locationwidget

@onsetup
def setup_eea_locationwidget():
    """ Setup
    """
    fiveconfigure.debug_mode = True
    zcml.load_config('configure.zcml', eea.locationwidget)
    fiveconfigure.debug_mode = False

setup_eea_locationwidget()
PloneTestCase.setupPloneSite(extension_profiles=
                                 ('eea.locationwidget:default', ))

class EEALocationWidgetFunctionalTestCase(PloneTestCase.FunctionalTestCase):
    """ Functional test case
    """
