""" Doctests
"""
import doctest
import unittest
from eea.locationwidget.tests.base import EEALocationWidgetFunctionalTestCase
from Testing.ZopeTestCase import FunctionalDocFileSuite

OPTIONFLAGS = (
        doctest.REPORT_ONLY_FIRST_FAILURE |
        doctest.ELLIPSIS |
        doctest.NORMALIZE_WHITESPACE
)

def test_suite():
    """ Tests
    """
    return unittest.TestSuite((
            FunctionalDocFileSuite('README.txt',
                  optionflags=OPTIONFLAGS,
                  package='eea.locationwidget',
                  test_class=EEALocationWidgetFunctionalTestCase),
              ))
